INTERFACE
SUBROUTINE RT6S_GEMS(PDIFFANG,PSOLANG,PVIEANG,PWL,&
 & PHASEL_IN,PIZ_IN,PTRAY550_VERTIN,PTAER_VERTIN,PROC,&
 & PREFLET) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE RT6SVALUES
REAL(KIND=JPRB),INTENT(IN) :: PWL(KWL), PDIFFANG(KLON), PSOLANG(KLON), PVIEANG(KLON)
REAL(KIND=JPRB),INTENT(IN) :: PTRAY550_VERTIN(KLON,0:KLEV),PTAER_VERTIN(KLON,0:KLEV,KWL)
REAL(KIND=JPRB),INTENT(IN) :: PHASEL_IN(KLON,0:KLEV,KWL,KNBMU),PIZ_IN(KLON,0:KLEV,KWL)
REAL(KIND=JPRB),INTENT(IN) :: PROC(KLON,KWL)
REAL(KIND=JPRB),INTENT(OUT) :: PREFLET(KLON,KWL)
END SUBROUTINE RT6S_GEMS
END INTERFACE
